Projects

Read the current user project membership

GET
/api/projects/{projectId}/membership

Authorization

sessionCookie
cookiebetter-auth.session_token<token>

The Better Auth email/password session cookie used by the web application.

Path Parameters

projectId*string
Length1 <= length

Response Body

Response for status 200

application/json
  1. response
membership*
Example Request
curl -X GET 'https://postbot.example/api/projects/string/membership'
Example Response
{
  "membership": {
    "id": "string",
    "projectId": "string",
    "userId": "string",
    "email": "string",
    "name": "string",
    "image": "string",
    "role": "owner",
    "state": "active",
    "createdAt": 0,
    "updatedAt": 0
  }
}

Was this page helpful?